Skip to main content
POST
/
v1
/
projects
/
{project_id}
/
chat
/
sessions
/
{session_id}
/
chat
Chat With Llm
curl --request POST \
  --url https://api.ontora.com/v1/projects/{project_id}/chat/sessions/{session_id}/chat \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "content": "<string>"
}
'
{
  "user_message": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "role": "<string>",
    "content": "<string>",
    "context_vault_ids_used": [
      "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    ],
    "graph_nodes_created": 123,
    "graph_edges_created": 123,
    "created_at": "2023-11-07T05:31:56Z",
    "parts_json": [
      "<unknown>"
    ]
  },
  "assistant_message": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "role": "<string>",
    "content": "<string>",
    "context_vault_ids_used": [
      "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    ],
    "graph_nodes_created": 123,
    "graph_edges_created": 123,
    "created_at": "2023-11-07T05:31:56Z",
    "parts_json": [
      "<unknown>"
    ]
  },
  "answer": "<string>",
  "graph_nodes_created": 123,
  "graph_edges_created": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.ontora.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

project_id
string<uuid>
required
session_id
string<uuid>
required

Body

application/json
content
string
required

Response

Successful Response

user_message
ChatMessageOut · object
required
assistant_message
ChatMessageOut · object
required
answer
string
required
graph_nodes_created
integer
required
graph_edges_created
integer
required